Bug 39185 - Approximately in 1-2 weeks of work the server hangs, full restart helps only.
Summary: Approximately in 1-2 weeks of work the server hangs, full restart helps only.
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: support (show other bugs)
Version: 2.2.0
Hardware: Other FreeBSD
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2006-04-03 08:28 UTC by Denis Zhadan
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Zhadan 2006-04-03 08:28:41 UTC
Every second it is added about such 50 records:

217.159.X.X - - [03/Apr/2006:08:37:02 +0300] "GET / HTTP/1.0" 200 8288 "-
" "Apache/2.2.0 (FreeBSD) mod_ssl/2.2.0 OpenSSL/0.9.7e-p1 DAV/2 PHP/4.4.2 
(internal dummy connection)"

 apachectl -l
Compiled in modules:
  core.c
  prefork.c
  http_core.c
  mod_so.c

P.S. If Need can sent transfer log
Comment 1 Denis Zhadan 2006-04-03 08:42:38 UTC
is I try use MPM worker then in /var/log/messages:

Mar 12 09:54:18 server1 kernel: pid 49273 (httpd), uid 80: exited on signal 11
Mar 12 14:05:55 server1 kernel: pid 51546 (httpd), uid 80: exited on signal 6
Mar 12 14:37:05 server1 kernel: pid 51860 (httpd), uid 80: exited on signal 11
Mar 12 15:33:48 server1 kernel: pid 52378 (httpd), uid 80: exited on signal 11
Mar 12 20:32:12 server1 kernel: pid 55412 (httpd), uid 80: exited on signal 11
Mar 12 20:37:06 server1 kernel: pid 55495 (httpd), uid 80: exited on signal 11
Comment 2 Paul Querna 2006-06-21 09:11:59 UTC
Is your machine automatically running graceful restarts for log rotation or
anything like that?
Comment 3 Philp M. Gollucci 2009-01-18 16:19:17 UTC
CC myself on FreeBSD related bugs
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:25 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.